


BINDMP(1)                   HDF-EOS UTILITIES			    

NAME
  bindmp - Dumps data of a HDF-EOS object in binary.

SYNOPSIS

  bindmp <options> <object_name>  <file_name>  <output_file>

DESCRIPTION
	bindmp creates an output file which contains Binary data for a
	specified HDF-EOS object, and it also includes the information 
	about rank and dimension For GRID and SWATH objects. For a POINT
	object, bindmp writes values of data of a specified level or all 
	levels in the object.   

REQUIRED INPUTS

  object_name
      The HDF-EOS object name.

  level_number, field_name or -all
      For Swath and Grid data field_name or -all is required.
      For Point Data level_number and field_name or either one of the 
      option or -all should be given. 

  file_name
      The HDF-EOS file name.

  output_file
      The name of the output file where binary data will be written. 
 
OPTIONS

	-l <level_number> (for point data only)
	Writes only the data for the specified level in the POINT object. 
	This may be combined with -f <field_name> option, but should
	not be used with -all option.  

	-f field_name
	Writes only the data for the specified field in SWATH or GRID
	object. This option should not used with -all option. 

	-all 
	Writes data of all fields for SWATH, GRID or POINT object.. 
	This option should not used with -l (for level) and -f(for field)
	options.

EXAMPLES

     1. Write the data in object "SWATH1" in HDF-EOS file "SwathFile.hdf".
  
     -- write all fields in the object "SWATH1" using the default format:
       
        bindmp -all  SWATH1 SwathFile.hdf swath.out.
	(swath.out is the output file where all the data will be dumped in 
	the binary format).

     -- write specified field from the object "SWATH1" in HDF-EOS file 
	"SwathFile.hdf". 

	bindmp -f Temperature SWATH1 SwathFile.hdf swath.out.


     2.	Write the data in object "UTM" in HDF-EOS file "Gridc_Test.hdf".

     -- write all fields in the object "UTM" using the default format:
       
        bindmp -all UTM Gridc_Test.hdf grid.out.
	(grid.out is the output file where all the data will be dumped in 
	the binary format).

     -- write specified field from the object "UTM" in HDF-EOS file 
	"Gridc_Test.hdf". 

	bindmp -f Voltage UTM Gridc_Test.hdf grid.out.
    

     3. Write the data in object "Balloon Data" in HDF-EOS 
	file "balloon_sp.hdfeos".
  
     -- Write all fields, all levels in object "Balloon Data", 
	using the default format: 

        bindmp -all  "Balloon Data"  balloon_sp.hdfeos point.out
	(point.out is the output file where all the data will be dumped in 
	the binary format).

     -- write specified level information in object "Balloon Data" in HDF-EOS 
	file "balloon_sp.hdfeos"

	bindmp -l 2 "Balloon Data" balloon_sp.hdfeos point.out.

     -- write specified level along with the field specified fiedl name 
	in object "Balloon Data" in HDF-EOS file "balloon_sp.hdfeos".

	bindmp -l 2 -f Time "Balloon Data" balloon_sp.hdfeos point.out.
